<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta http-equiv="content-type" content-type="text/html; charset">
    <meta charset="utf-8">
</head>

<body>
    <h3>Programa de Boas-vindas!</h3>
    <script type="text/javascript">
        /* Objetivo: Capturar o nome do usuario e apresentar uma saudaçao personalizada
                Definir as variaveis com o prefixo js_
                ELementos de Entrada: metodo prompt do objeto window
                ELementos de Saída: metodo write do objeto document */

        /* Definição de variáveis */
        var js_nome;
        /* Entrada de dados */
        js_nome = window.prompt("Digite seu nome", "Digite seu nome nessa caixa");

        /* Saída de dados */
        document.write("Olá " + js_nome + "! Seja bem-vindo!")
            // Mensagem de saudacao personalizada
    </script>
</body>

</html>